## pearl-live-installer 2021.03.06-1.1

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/\.po//' | sed 's/pearl-live-installer-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/pearl-live-installer.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

=== debian/changelog ===
pearl-live-installer (2021.03.06-1.1) unstable; urgency=medium

  * Initial build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 05 Mar 2021 11:32:03 +0000

pearl-live-installer (2021.03.06-1) buster; urgency=medium

  * Name of package change

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 05 Mar 2021 11:32:03 +0000

pearl-live-installer (2021.03.06.1) buster; urgency=medium

  * Initial Pearl 10 Buster builder

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 05 Mar 2021 11:32:03 +0000

pearl-live-installer (2020.03.09) debbie; urgency=medium

  * Fix padding in timezone and slideshow

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Mar 2020 13:00:53 +0000

pearl-live-installer (2020.03.07) debbie; urgency=medium

  * Virtualbox: Fix XDG Autostart file

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Mar 2020 12:30:33 +0000

pearl-live-installer (2020.03.06.1) debbie; urgency=medium

  * Virtualbox: Bump live resolution to a minimum of 1024x768px

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Mar 2020 12:08:15 +0000

pearl-live-installer (2020.03.06) debbie; urgency=medium

  [ Clement Lefebvre ]
  * Remove obsolete code

  [ Michael Webster ]
  * timezones: Split timezone selection into two menus - menu scrolling only works for the 'primary' menu, not submenus, so the continents are one menu, zones inside each continent in the other.
  * Add some padding around the floating time label in the timezone map.
  * timezones: Move the center of the label to the target location instead of the upper left corner.

  [ Clement Lefebvre ]
  * Partitioning: Improve failure detection when making label and partitions
  * l10n: Update POT
  * Install microcode packages
  * EFI: Don't create EFI\linuxmint
  * pearl-live-installer-stop: Suppress most errors during post-install reboot
  * Expert mode: Fixed Next button not visible during pause
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Mar 2020 10:29:54 +0000

pearl-live-installer (2020.03.04) debbie; urgency=medium

  * Partitioning: Wait up to 5s for newly created device to appear before formatting
  * GPT: Install signed shim and grub packages

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Mar 2020 10:02:01 +0000

pearl-live-installer (2020.02.28) debbie; urgency=medium

  * Automatic partitioning: Fix NVME support
  * Add translations to core package
  * l10n: Replace hostname with computer's name.
  * l10n: Rename dialog titles
  * UI: User page, focus appropriate widget when a new entry is needed

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 28 Feb 2020 10:25:12 +0000

pearl-live-installer (2020.02.13) debbie; urgency=medium

  * l10n: Update POT
  * Automated install: Fix hardcoded references to /dev/sda

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Feb 2020 16:17:32 +0000

pearl-live-installer (2020.02.12.1) debbie; urgency=medium

  * More fixes

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Feb 2020 16:16:40 +0000

pearl-live-installer (2020.02.12) debbie; urgency=medium

  * Few more fixes

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Feb 2020 14:51:14 +0000

pearl-live-installer (2020.02.11.1) debbie; urgency=medium

  * Various fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Feb 2020 16:42:38 +0000

pearl-live-installer (2020.02.11) debbie; urgency=medium

  * Fix wrong live mount points
  * Add support for LUKS and LVM in the UI
  * Refactor installer and setup classes
  * Installer: Remove unused support for alternative DMs
  * More refactoring
  * Installer: Add initial support for automated install, LUKS and LVM
  * UI: Make it clearer that LVM is required for LUKS
  * Small fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Feb 2020 15:09:56 +0000

pearl-live-installer (2020.02.04) debbie; urgency=medium

  [ Michael Webster ]
  * keyboard layout: Base hidpi processing on gtk's scale state instead of letting QT5 do it itself.
  * interface.ui: Make adjustments to reduce the required window height.
  * gtk_interface.py: Change the EFI minimum size  to 35mb (this matches ubiquity).

  [ Clement Lefebvre ]
  * UI: Expand installation footer
  * pearl-live-installer-stop: Don't rely on plymouth to show the message
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Feb 2020 16:24:10 +0000

pearl-live-installer (2020.01.31) debbie; urgency=medium

  * NVIDIA: Install in chroot and cleanup /target

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Jan 2020 09:59:10 +0000

pearl-live-installer (2020.01.30) debbie; urgency=medium

  [ Michael Webster ]
  * Render keyboard layout properly in hidpi.
  * gtk_interface.py: Use a spinning widget instead of a gif when loading a keyboard layout.
  * interface.ui: Keep the space for the non-latin warning label reserved, so when the label is shown, it doesn't resize the scroll boxes.

  [ Clement Lefebvre ]
  * NVIDIA driver: Add systemd support

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Jan 2020 17:37:56 +0000

pearl-live-installer (2020.01.29) debbie; urgency=medium

  * Add support for home directory encryption
  * Fix killing screensaver
  * Mount /run during the installation
  * File copy: Add missing / in file path given to the UI
  * Don't test squashfs presence in debug mode
  * Add home directory encryption option to UI
  * pearl-live-installer-stop: Fix ISO mount point
  * Remove memtest86+ before updating grub

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Jan 2020 11:31:33 +0000

pearl-live-installer (2020.01.27) debbie; urgency=medium

  * Remove config file
  * Cleanup test script
  * Detect live path before starting the installer.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Jan 2020 11:31:25 +0000

pearl-live-installer (2020.01.21) debbie; urgency=medium

  * Language list: Ellipsize, resizable columns
  * User page: Fix checks visible by default
  * Keyboard page: Ellipsize combo
  * Add grid lines to treeviews



=== debian/control ===
Source: pearl-live-installer
Section: admin
Priority: optional
Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
Build-Depends: debhelper (>= 9),
               python
X-Python-Version: >= 2.7
Standards-Version: 3.9.5


Package: pearl-live-installer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, gir1.2-webkit2-4.0
  , python (>= 2.7), python (<< 3)
  , python-parted, parted, gparted
  , python-gi-cairo
  , python-pyqt5
  , python-pil
  , imagemagick
  , isoquery
  , desktop-file-utils
  , shared-mime-info
  , sysv-rc
  , menu
  , gdisk
  , isoquery, iso-codes, locales
  , adduser
  , rsync
Conflicts: pearl-live-installer (<= 2021.03.05)
Replaces: pearl-live-installer   
Description: Pearl's Live Installer
 A live installer
